NX Open C++ Reference Guide
|
Represents a @link Tooling::WireHoleBuilder Tooling::WireHoleBuilder@endlink This class is for Wire Hole Design UI <br> To create a new instance of this class, use @link Tooling::WireHoleCollection::CreateWireHoleBuilder Tooling::WireHoleCollection::CreateWireHoleBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXString | CenterlineLength () |
Returns the centerline length to create wire hole Created in NX6.0.0. | |
NXOpen::Point * | CircleCenter () |
Returns the circle center to create wire hole Created in NX6.0.0. | |
double | HoleDepth () |
Returns the depth of wire hole. | |
double | HoleDiameter () |
Returns the diameter to create wire hole Created in NX6.0.0. | |
void | SetCenterlineLength (const NXString ¢erlineLength) |
Sets the centerline length to create wire hole Created in NX6.0.0. | |
void | SetCenterlineLength (const char *centerlineLength) |
Sets the centerline length to create wire hole Created in NX6.0.0. | |
void | SetCircleCenter (NXOpen::Point *circleCenter) |
Sets the circle center to create wire hole Created in NX6.0.0. | |
void | SetHoleDepth (double holeDepth) |
Sets the depth of wire hole. | |
void | SetHoleDiameter (double holeDiameter) |
Sets the diameter to create wire hole Created in NX6.0.0. | |
void | SetSketchOrientation (NXOpen::Direction *sketchOrientation) |
Sets the orientation to create wire hole sketch Created in NX6.0.0. | |
NXOpen::Direction * | SketchOrientation () |
Returns the orientation to create wire hole sketch Created in NX6.0.0. | |
NXOpen::ScCollector * | SketchPlane () |
Returns the plane to create wire hole sketch Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Tooling::WireHoleBuilder Tooling::WireHoleBuilder@endlink This class is for Wire Hole Design UI <br> To create a new instance of this class, use @link Tooling::WireHoleCollection::CreateWireHoleBuilder Tooling::WireHoleCollection::CreateWireHoleBuilder @endlink <br>
Default values.
Property | Value |
---|---|
HoleDiameter |
3 |
Created in NX6.0.0.
NXString NXOpen::Tooling::WireHoleBuilder::CenterlineLength | ( | ) |
Returns the centerline length to create wire hole
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Tooling::WireHoleBuilder::CircleCenter | ( | ) |
Returns the circle center to create wire hole
Created in NX6.0.0.
License requirements : None
double NXOpen::Tooling::WireHoleBuilder::HoleDepth | ( | ) |
Returns the depth of wire hole.
Created in NX7.5.0.
License requirements : None
double NXOpen::Tooling::WireHoleBuilder::HoleDiameter | ( | ) |
Returns the diameter to create wire hole
Created in NX6.0.0.
License requirements : None
void NXOpen::Tooling::WireHoleBuilder::SetCenterlineLength | ( | const NXString & | centerlineLength | ) |
Sets the centerline length to create wire hole
Created in NX6.0.0.
License requirements : None
centerlineLength | Sets the centerline length to create wire hole |
void NXOpen::Tooling::WireHoleBuilder::SetCenterlineLength | ( | const char * | centerlineLength | ) |
Sets the centerline length to create wire hole
Created in NX6.0.0.
License requirements : None
centerlineLength | Sets the centerline length to create wire hole |
void NXOpen::Tooling::WireHoleBuilder::SetCircleCenter | ( | NXOpen::Point * | circleCenter | ) |
Sets the circle center to create wire hole
Created in NX6.0.0.
License requirements : None
circleCenter | Sets the circle center to create wire hole |
void NXOpen::Tooling::WireHoleBuilder::SetHoleDepth | ( | double | holeDepth | ) |
Sets the depth of wire hole.
Created in NX7.5.0.
License requirements : None
holeDepth | Sets the depth of wire hole. |
void NXOpen::Tooling::WireHoleBuilder::SetHoleDiameter | ( | double | holeDiameter | ) |
Sets the diameter to create wire hole
Created in NX6.0.0.
License requirements : None
holeDiameter | Sets the diameter to create wire hole |
void NXOpen::Tooling::WireHoleBuilder::SetSketchOrientation | ( | NXOpen::Direction * | sketchOrientation | ) |
Sets the orientation to create wire hole sketch
Created in NX6.0.0.
License requirements : None
sketchOrientation | Sets the orientation to create wire hole sketch |
NXOpen::Direction* NXOpen::Tooling::WireHoleBuilder::SketchOrientation | ( | ) |
Returns the orientation to create wire hole sketch
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::WireHoleBuilder::SketchPlane | ( | ) |
Returns the plane to create wire hole sketch
Created in NX6.0.0.
License requirements : None